<?xml version="1.0" encoding="ISO-8859-1" ?>
<hackinfo>

	<step title="Welcome to vBHosting 2.0">
		<outputline><![CDATA[This will update your vBHosting 2.0 installation to the latest version.]]></outputline>
		<outputline><![CDATA[Please report any bugs in the vBHosting thread on vBulletin.org or vBulletin-Germany.com]]></outputline>
		<outputline><![CDATA[Click 'Next' To continue.]]></outputline>
	</step>

	<step title="Check files">
		<outputline><![CDATA[Checking if all files have been uploaded...]]></outputline>
		<startlist />
		<checkfileexists><![CDATA[./vbhosting.php]]></checkfileexists>
		<checkfileexists><![CDATA[./admincp/vbhosting.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/index.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/administrator.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/color.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/image.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/headerandfooter.php]]></checkfileexists>
		<checkfileexists><![CDATA[./hostingcp/global.php]]></checkfileexists>
		<checkfileexists><![CDATA[./includes/functions_vbhosting.php]]></checkfileexists>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<outputline><![CDATA[Please alter the directory <strong>./images/buttons/vbhosting</strong> and change it's permissions so the webserver can write to it.]]></outputline>
	</step>

	<step title="Insert new settings">
		<outputline><![CDATA[Creating Settings...]]></outputline>
		<startlist />
		<createsetting onduplicate="updatesetting" handler="vbhosting_general_allowheaderfooter" group="vbhosting_general" title="Allow a custom header and footer" displayorder="20" optioncode="yesno" default="1"><![CDATA[This allows the administrators to add their own header and footer in the HostingCP. They will be shown around their forum pages.]]></createsetting>
		<createsetting onduplicate="updatevalue" handler="vbhosting_version" group="version" title="vBHosting version - should not see me" displayorder="10" optioncode="" default="2.0.0 Alpha 5"><![CDATA[Should not see me - AND SHOULD NOT EDIT ME!]]></createsetting>
		<endlist />
		<outputline type="endlist"><![CDATA[done.]]></outputline>
		<rebuildsettings />
	</step>

	<step title="Update hosting style">
		<outputline><![CDATA[Updating replacements...]]></outputline>
		<startlist />
		<createreplacement styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" findtext="{hostedsitename}"><![CDATA[{PARSE}{$vboptions['bbtitle']}]]></createreplacement>
		<createreplacement styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" findtext="{hostedsiteurl}"><![CDATA[{PARSE}{$vboptions['forumhome']}.php]]></createreplacement>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<rebuildstyle styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" />
	</step>

	<step title="Create new phrases">
		<outputline><![CDATA[Creating Phrases...]]></outputline>
		<startlist />
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_manage_administrators"><![CDATA[Manage Administrators]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_manage_forums"><![CDATA[Manage Forums]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_possible_actions"><![CDATA[Possible actions]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_create_new_administrator"><![CDATA[Create new administrator]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_edit_administrator"><![CDATA[Edit administrator]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_delete_administrator"><![CDATA[Delete administrator]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_please_select_an_administrator_to_modify"><![CDATA[Please select an administrator to modify.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_x_is_not_administrator_in_this_forum"><![CDATA[{1} is not an administrator in your forum.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_you_are_the_last_administrator_with_administrator_management_permissions"><![CDATA[You are the last administrator with administrator mangement permissions. That means you can't delete yourself, until your give someone else this permissions.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_are_you_sure_you_want_to_delete_x_from_the_administrators"><![CDATA[Are you sure you want to delete <strong>{1}</strong> from the administrators?]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_administrator_deleted_successfully"><![CDATA[The administrator has been deleted successfully.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_yourself"><![CDATA[yourself]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_administrators_not_moderators"><![CDATA[Please note this are the administrators and not the forum moderators. Administrators have access to this control panel, while moderators can moderate posts in the forum itself. You can manage the moderators in the "Forums and moderators" menu.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_can_manage_settings"><![CDATA[Can manage settings]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_can_manage_forums"><![CDATA[Can manage forums]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_can_manage_styles"><![CDATA[Can manage styles]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_can_manage_administrators"><![CDATA[Can manage administrators]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_could_not_find_user_x"><![CDATA[Could not find user <strong>{1}</strong> - are you sure you entered the name correctly? Please try again.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_x_is_already_administrator"><![CDATA[The user <strong>{1}</strong> is already administrator in this forum. You can not add a user twice.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_administrator_x_added_successfully"><![CDATA[The administrator <strong>{1}</strong> has been added successfully.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_administrator_x_updated_successfully"><![CDATA[The administrator <strong>{1}</strong> has been updated successfully.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_colors_updated_successfully"><![CDATA[The colors have been saved successfully.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_color_editor_description"><![CDATA[This editor allows you to change all kinds of colors used in your forum. It looks a bit complicated the first time, as it's designed to give you full control over all parts. If you have edited one of the groups, they will be shown <span class="col-c">highlighted</span>. You can simply revert them to the default settings, so feel free to play around ;)]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_use_default_buttons"><![CDATA[<strong>Use the default buttons</strong>]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_use_custom_buttons"><![CDATA[<strong>Use custom buttons</strong>]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_image_editor_description"><![CDATA[You can use the default buttons or you can create your own buttonset. If you select "Use custom buttons" you can upload your own picture for every button. You can switch between both options without loosing your uploaded images.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_buttontype_changed_successfully"><![CDATA[The buttontype has been changed successfully.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_new_posting_images"><![CDATA[New Posting Images]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_postbit_images"><![CDATA[Postbit Images]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_your_image"><![CDATA[Your image]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_original_image"><![CDATA[Original image]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_revert_image"><![CDATA[Revert image]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_images_updated_succesfully"><![CDATA[The images have been updated successfully. Please note that you might have to reload the next page to see the updated images.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_please_select_an_image_to_revert"><![CDATA[Please select an image to revert!]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_upload_new_image"><![CDATA[Upload new image]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_edit_header_and_footer"><![CDATA[Edit header and footer]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_header"><![CDATA[Header]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_footer"><![CDATA[Footer]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_header_and_footer_description"><![CDATA[Here you can specify your own html code for the header and the footer of your forum. They will be shown around every page in your forum.]]></createphrase>
		<createphrase group="vbhosting_hostingcp" handler="vbhosting_header_and_footer_have_been_updated"><![CDATA[Header and footer have been updated.]]></createphrase>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<outputline><![CDATA[Renaming existing Phrases...]]></outputline>
		<startlist />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_title" newhandler="vbhosting_hosting_control_panel" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_home_infotext" newhandler="vbhosting_here_you_can_maintain_your_forum" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_home_title" newhandler="vbhosting_welcome_to_your_vbhosting_control_panel" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_colors" newhandler="vbhosting_edit_colors" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_createforum" newhandler="vbhosting_create_new_forum" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_editsettings" newhandler="vbhosting_edit_settings" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_forumsandmoderators" newhandler="vbhosting_forums_and_moderators" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_headerfooter" newhandler="vbhosting_header_and_footer" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_images" newhandler="vbhosting_edit_images" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_settings" newhandler="vbhosting_settings" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_style" newhandler="vbhosting_style" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_menu_switchforum" newhandler="vbhosting_switch_to_another_forum" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_noforum" newhandler="vbhosting_you_dont_own_a_forum" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_noforuminfo" newhandler="vbhosting_you_dont_own_a_forum_details" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_pleasechooseforum" newhandler="vbhosting_please_coose_a_forum" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_poweredby" newhandler="vbhosting_vbhosting_x" />
		<renamephrase group="vbhosting_hostingcp" oldhandler="vbhosting_hostingcp_controlpanel" newhandler="vbhosting_vbhosting_x_control_panel" />
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<outputline><![CDATA[Removing old Phrases...]]></outputline>
		<startlist />
		<dropphrase group="vbhosting_hostingcp" handler="vbhosting_hostingcp_menu_editadministrators" />
		<dropphrase group="vbhosting_hostingcp" handler="vbhosting_hostingcp_menu_editforums" />
		<dropphrase group="vbhosting_hostingcp" handler="vbhosting_hostingcp_menu_editwebsiteinfo" />
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<rebuildlanguage />
	</step>

	<step title="File Edits">
		<outputline>Please do the file edits below</outputline>
		<editfile filename="includes/adminfunctions_navpanel.php">
			<find times="1"><![CDATA[	global $_NAV, $_NAVPREFS, $groupid, $vboptions, $vbphrase, $nojs, $session, $hostedid;

	if (VB_AREA == 'HostingCP')
	{
		$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]hostedid=$hostedid&do=home\">$vbphrase[control_panel_home]</a><br /><a href=\"index.php?$session[sessionurl]\" target=\"_top\">$vbphrase[vbhosting_hostingcp_menu_switchforum]</a></div>";
	}
	else
	{
		$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]do=home\">$vbphrase[control_panel_home]</a></div>";
	}]]></find>
			<edit action="replace"><![CDATA[	global $_NAV, $_NAVPREFS, $groupid, $vboptions, $vbphrase, $nojs, $session, $hostedid;

	if (VB_AREA == 'HostingCP')
	{
		$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]hostedid=$hostedid&do=home\">$vbphrase[control_panel_home]</a><br /><a href=\"index.php?$session[sessionurl]\" target=\"_top\">$vbphrase[vbhosting_switch_to_another_forum]</a></div>";
	}
	else
	{
		$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]do=home\">$vbphrase[control_panel_home]</a></div>";
	}]]></edit>
		</editfile>
		<outputline>Now re-upload this files.</outputline>
	</step>

	<step title="Template Edits">
		<outputline><![CDATA[Altering existing templates...]]></outputline>
		<startlist />
		<altertemplate styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" handler="header">
			<find><![CDATA[<td align="$stylevar[left]"><a href="$vboptions[forumhome].php?$session[sessionurl]"><img src="$stylevar[titleimage]" border="0" alt="$vboptions[bbtitle]" /></a></td>]]></find>
			<replace ifnotcontains="{hostedsiteurl}"><![CDATA[<td align="$stylevar[left]"><a href="{hostedsiteurl}" target="_blank"><img src="$stylevar[titleimage]" border="0" alt="{hostedsitename}" /></a></td>]]></replace>
			<find><![CDATA[<a name="top"></a>]]></find>
			<replace ifnotcontains="{headerinclude}"><![CDATA[<a name="top"></a>
{headerinclude}]]></replace>
		</altertemplate>
		<altertemplate styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" handler="footer">
			<find><![CDATA[<if condition="$show['dst_correction']">]]></find>
			<replace ifnotcontains="{footerinclude}"><![CDATA[{footerinclude}

<if condition="$show['dst_correction']">]]></replace>
		</altertemplate>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<rebuildstyle styleid="-1" />
	</step>

</hackinfo>